""" Named color module """
from .color import Color

css_colors : dict[str, Color] = {
    "aliceblue": Color.from_hex("#f0f8ff"),
    "antiquewhite": Color.from_hex("#faebd7"),
    "aqua": Color.from_hex("#00ffff"),
    "aquamarine": Color.from_hex("#7fffd4"),
    "azure": Color.from_hex("#f0ffff"),
    "beige": Color.from_hex("#f5f5dc"),
    "bisque": Color.from_hex("#ffe4c4"),
    "black": Color.from_hex("#000000"),
    "blanchedalmond": Color.from_hex("#ffebcd"),
    "blue": Color.from_hex("#0000ff"),
    "blueviolet": Color.from_hex("#8a2be2"),
    "brown": Color.from_hex("#a52a2a"),
    "burlywood": Color.from_hex("#deb887"),
    "cadetblue": Color.from_hex("#5f9ea0"),
    "chartreuse": Color.from_hex("#7fff00"),
    "chocolate": Color.from_hex("#d2691e"),
    "coral": Color.from_hex("#ff7f50"),
    "cornflowerblue": Color.from_hex("#6495ed"),
    "cornsilk": Color.from_hex("#fff8dc"),
    "crimson": Color.from_hex("#dc143c"),
    "cyan": Color.from_hex("#00ffff"),
    "darkblue": Color.from_hex("#00008b"),
    "darkcyan": Color.from_hex("#008b8b"),
    "darkgoldenrod": Color.from_hex("#b8860b"),
    "darkgray": Color.from_hex("#a9a9a9"),
    "darkgreen": Color.from_hex("#006400"),
    "darkgrey": Color.from_hex("#a9a9a9"),
    "darkkhaki": Color.from_hex("#bdb76b"),
    "darkmagenta": Color.from_hex("#8b008b"),
    "darkolivegreen": Color.from_hex("#556b2f"),
    "darkorange": Color.from_hex("#ff8c00"),
    "darkorchid": Color.from_hex("#9932cc"),
    "darkred": Color.from_hex("#8b0000"),
    "darksalmon": Color.from_hex("#e9967a"),
    "darkseagreen": Color.from_hex("#8fbc8f"),
    "darkslateblue": Color.from_hex("#483d8b"),
    "darkslategray": Color.from_hex("#2f4f4f"),
    "darkslategrey": Color.from_hex("#2f4f4f"),
    "darkturquoise": Color.from_hex("#00ced1"),
    "darkviolet": Color.from_hex("#9400d3"),
    "deeppink": Color.from_hex("#ff1493"),
    "deepskyblue": Color.from_hex("#00bfff"),
    "dimgray": Color.from_hex("#696969"),
    "dimgrey": Color.from_hex("#696969"),
    "dodgerblue": Color.from_hex("#1e90ff"),
    "firebrick": Color.from_hex("#b22222"),
    "floralwhite": Color.from_hex("#fffaf0"),
    "forestgreen": Color.from_hex("#228b22"),
    "fuchsia": Color.from_hex("#ff00ff"),
    "gainsboro": Color.from_hex("#dcdcdc"),
    "ghostwhite": Color.from_hex("#f8f8ff"),
    "gold": Color.from_hex("#ffd700"),
    "goldenrod": Color.from_hex("#daa520"),
    "gray": Color.from_hex("#808080"),
    "green": Color.from_hex("#008000"),
    "greenyellow": Color.from_hex("#adff2f"),
    "grey": Color.from_hex("#808080"),
    "honeydew": Color.from_hex("#f0fff0"),
    "hotpink": Color.from_hex("#ff69b4"),
    "indianred": Color.from_hex("#cd5c5c"),
    "indigo": Color.from_hex("#4b0082"),
    "ivory": Color.from_hex("#fffff0"),
    "khaki": Color.from_hex("#f0e68c"),
    "lavender": Color.from_hex("#e6e6fa"),
    "lavenderblush": Color.from_hex("#fff0f5"),
    "lawngreen": Color.from_hex("#7cfc00"),
    "lemonchiffon": Color.from_hex("#fffacd"),
    "lightblue": Color.from_hex("#add8e6"),
    "lightcoral": Color.from_hex("#f08080"),
    "lightcyan": Color.from_hex("#e0ffff"),
    "lightgoldenrodyellow": Color.from_hex("#fafad2"),
    "lightgray": Color.from_hex("#d3d3d3"),
    "lightgreen": Color.from_hex("#90ee90"),
    "lightgrey": Color.from_hex("#d3d3d3"),
    "lightpink": Color.from_hex("#ffb6c1"),
    "lightsalmon": Color.from_hex("#ffa07a"),
    "lightseagreen": Color.from_hex("#20b2aa"),
    "lightskyblue": Color.from_hex("#87cefa"),
    "lightslategray": Color.from_hex("#778899"),
    "lightslategrey": Color.from_hex("#778899"),
    "lightsteelblue": Color.from_hex("#b0c4de"),
    "lightyellow": Color.from_hex("#ffffe0"),
    "lime": Color.from_hex("#00ff00"),
    "limegreen": Color.from_hex("#32cd32"),
    "linen": Color.from_hex("#faf0e6"),
    "magenta": Color.from_hex("#ff00ff"),
    "maroon": Color.from_hex("#800000"),
    "mediumaquamarine": Color.from_hex("#66cdaa"),
    "mediumblue": Color.from_hex("#0000cd"),
    "mediumorchid": Color.from_hex("#ba55d3"),
    "mediumpurple": Color.from_hex("#9370db"),
    "mediumseagreen": Color.from_hex("#3cb371"),
    "mediumslateblue": Color.from_hex("#7b68ee"),
    "mediumspringgreen": Color.from_hex("#00fa9a"),
    "mediumturquoise": Color.from_hex("#48d1cc"),
    "mediumvioletred": Color.from_hex("#c71585"),
    "midnightblue": Color.from_hex("#191970"),
    "mintcream": Color.from_hex("#f5fffa"),
    "mistyrose": Color.from_hex("#ffe4e1"),
    "moccasin": Color.from_hex("#ffe4b5"),
    "navajowhite": Color.from_hex("#ffdead"),
    "navy": Color.from_hex("#000080"),
    "oldlace": Color.from_hex("#fdf5e6"),
    "olive": Color.from_hex("#808000"),
    "olivedrab": Color.from_hex("#6b8e23"),
    "orange": Color.from_hex("#ffa500"),
    "orangered": Color.from_hex("#ff4500"),
    "orchid": Color.from_hex("#da70d6"),
    "palegoldenrod": Color.from_hex("#eee8aa"),
    "palegreen": Color.from_hex("#98fb98"),
    "paleturquoise": Color.from_hex("#afeeee"),
    "palevioletred": Color.from_hex("#db7093"),
    "papayawhip": Color.from_hex("#ffefd5"),
    "peachpuff": Color.from_hex("#ffdab9"),
    "peru": Color.from_hex("#cd853f"),
    "pink": Color.from_hex("#ffc0cb"),
    "plum": Color.from_hex("#dda0dd"),
    "powderblue": Color.from_hex("#b0e0e6"),
    "purple": Color.from_hex("#800080"),
    "red": Color.from_hex("#ff0000"),
    "rosybrown": Color.from_hex("#bc8f8f"),
    "royalblue": Color.from_hex("#4169e1"),
    "saddlebrown": Color.from_hex("#8b4513"),
    "salmon": Color.from_hex("#fa8072"),
    "sandybrown": Color.from_hex("#f4a460"),
    "seagreen": Color.from_hex("#2e8b57"),
    "seashell": Color.from_hex("#fff5ee"),
    "sienna": Color.from_hex("#a0522d"),
    "silver": Color.from_hex("#c0c0c0"),
    "skyblue": Color.from_hex("#87ceeb"),
    "slateblue": Color.from_hex("#6a5acd"),
    "slategray": Color.from_hex("#708090"),
    "slategrey": Color.from_hex("#708090"),
    "snow": Color.from_hex("#fffafa"),
    "springgreen": Color.from_hex("#00ff7f"),
    "steelblue": Color.from_hex("#4682b4"),
    "tan": Color.from_hex("#d2b48c"),
    "teal": Color.from_hex("#008080"),
    "thistle": Color.from_hex("#d8bfd8"),
    "tomato": Color.from_hex("#ff6347"),
    "turquoise": Color.from_hex("#40e0d0"),
    "violet": Color.from_hex("#ee82ee"),
    "wheat": Color.from_hex("#f5deb3"),
    "white": Color.from_hex("#ffffff"),
    "whitesmoke": Color.from_hex("#f5f5f5"),
    "yellow": Color.from_hex("#ffff00"),
    "yellowgreen": Color.from_hex("#9acd32"),
}
